-- To update a translation please use the localization utility at:
-- http://wow.curseforge.com/addons/superdupersoundpackengine/localization/

local AddonName, a = ...
a.Localize = setmetatable({}, {__index = function(_, key) return key end})
local L = a.Localize

-- Example:
L["English text goes here."] = "Translated text goes here."

if GetLocale() == "ptBR" then -- Brazilian Portuguese
--Translation missing 
-- L["All Sounds and Music  ( changes only saved per session )"] = ""
--Translation missing 
-- L["Checking for Boss or Party  ( changes only saved per session )"] = ""
--Translation missing 
-- L["Checks disabled for this session!"] = ""
--Translation missing 
-- L["Checks enabled."] = ""
--Translation missing 
-- L["Jumping Sound"] = ""
--Translation missing 
-- L["Music"] = ""
--Translation missing 
-- L["Options"] = ""
--Translation missing 
-- L["Selected Sound Pack:"] = ""
--Translation missing 
-- L["Settings have been reset!"] = ""
--Translation missing 
-- L["Sound disabled for this session!"] = ""
--Translation missing 
-- L["Sound enabled."] = ""
--Translation missing 
-- L["Sound on Buff"] = ""
--Translation missing 
-- L["Sound on Debuff"] = ""
--Translation missing 
-- L["Sound on Direct Damage"] = ""
--Translation missing 
-- L["Sound on XP, Honor or Rep. Gain"] = ""
--Translation missing 
-- L["Sound when at Max Combo Points or Rage"] = ""
--Translation missing 
-- L["Sound when Boss Reaches Low Health"] = ""
--Translation missing 
-- L["Sound while Damage Immunity Buffed"] = ""
--Translation missing 
-- L["Sounds"] = ""
--Translation missing 
-- L["Swimming Sound"] = ""

elseif GetLocale() == "frFR" then -- French
L["All Sounds and Music  ( changes only saved per session )"] = "Tous les sons & music (changé sur chaque session)"
L["Checking for Boss or Party  ( changes only saved per session )"] = "Vérification sur Boss ou sur groupe (changé sur chaque session)"
L["Checks disabled for this session!"] = "Contrôles activés pour cette session !"
L["Checks enabled."] = "Contrôles activés"
L["Jumping Sound"] = "Son de saut"
L["Music"] = "Musique"
L["Options"] = "Options"
L["Selected Sound Pack:"] = "Choix du pack de sons :"
L["Settings have been reset!"] = "Paramétrages réinitialisés !"
L["Sound disabled for this session!"] = "Son activé pour cette session !"
L["Sound enabled."] = "Son activé"
L["Sound on Buff"] = "Son quand buff"
L["Sound on Debuff"] = "Son quand débuff"
L["Sound on Direct Damage"] = "Son sur dégâts directs"
L["Sound on XP, Honor or Rep. Gain"] = "Son pour l'XP, l'honneur ou la Rép"
L["Sound when at Max Combo Points or Rage"] = "Son quand rage et combo sont au max."
L["Sound when Boss Reaches Low Health"] = "Son quand le boss a une santé faible"
L["Sound while Damage Immunity Buffed"] = "Son sur le buff d'immunité de dégâts"
L["Sounds"] = "Sons"
L["Swimming Sound"] = "Son de nage"

elseif GetLocale() == "deDE" then -- German
L["All Sounds and Music  ( changes only saved per session )"] = "Alle Töne und Musik (Veränderungen werden nur pro Sitzung gespeichert)"
L["Checking for Boss or Party  ( changes only saved per session )"] = "Auf Boss oder Gruppe überprüfen (Veränderungen werden nur pro Sitzung gespeichert)"
L["Checks disabled for this session!"] = "Die Überprüfung wurde in dieser Sitzung deaktiviert!"
L["Checks enabled."] = "Die Überprüfung ist aktiviert."
L["Jumping Sound"] = "Springgeräusche"
L["Music"] = "Musik"
L["Options"] = "Optionen"
L["Selected Sound Pack:"] = "Sound Paket auswählen:"
L["Settings have been reset!"] = "Die Einstellungen wurden zurück gesetzt!"
L["Sound disabled for this session!"] = "Töne abgeschaltet für diese Sitzung!"
L["Sound enabled."] = "Ton eingeschaltet."
L["Sound on Buff"] = "Ton beim Buffen"
L["Sound on Debuff"] = "Ton beim Debuff"
L["Sound on Direct Damage"] = "Ton bei direktem Schaden"
L["Sound on XP, Honor or Rep. Gain"] = "Ton bei Ep,Ehre oder Ruf gewinn"
L["Sound when at Max Combo Points or Rage"] = "Ton welcher ertönt bei Maximalen kombo punkten oder Wut"
L["Sound when Boss Reaches Low Health"] = "Ton wenn der Boss eine niedrige Gesundheit erreicht"
L["Sound while Damage Immunity Buffed"] = "Ton während des Schadens Immunitäts Buff's"
L["Sounds"] = "Töne"
L["Swimming Sound"] = "Schwimmgeräusche"

elseif GetLocale() == "koKR" then -- Korean
L["All Sounds and Music  ( changes only saved per session )"] = "모든 소리와 음악 (변경사항은 캐릭별로 저장)"
L["Checking for Boss or Party  ( changes only saved per session )"] = "파티 또는 보스에 대한 체크 (변경사항은 캐릭별로 저장)"
--Translation missing 
-- L["Checks disabled for this session!"] = ""
--Translation missing 
-- L["Checks enabled."] = ""
L["Jumping Sound"] = "점프시 소리"
L["Music"] = "음악"
--Translation missing 
-- L["Options"] = ""
--Translation missing 
-- L["Selected Sound Pack:"] = ""
--Translation missing 
-- L["Settings have been reset!"] = ""
--Translation missing 
-- L["Sound disabled for this session!"] = ""
--Translation missing 
-- L["Sound enabled."] = ""
--Translation missing 
-- L["Sound on Buff"] = ""
--Translation missing 
-- L["Sound on Debuff"] = ""
L["Sound on Direct Damage"] = "데미지에 대한 소리"
--Translation missing 
-- L["Sound on XP, Honor or Rep. Gain"] = ""
--Translation missing 
-- L["Sound when at Max Combo Points or Rage"] = ""
--Translation missing 
-- L["Sound when Boss Reaches Low Health"] = ""
--Translation missing 
-- L["Sound while Damage Immunity Buffed"] = ""
L["Sounds"] = "사운드"
L["Swimming Sound"] = "수영시 소리"

elseif GetLocale() == "esMX" then -- Latin American Spanish
L["All Sounds and Music  ( changes only saved per session )"] = "Todos los sonidos y musica"
--Translation missing 
-- L["Checking for Boss or Party  ( changes only saved per session )"] = ""
--Translation missing 
-- L["Checks disabled for this session!"] = ""
--Translation missing 
-- L["Checks enabled."] = ""
L["Jumping Sound"] = "Saltos de sonido"
L["Music"] = "Musica"
--Translation missing 
-- L["Options"] = ""
--Translation missing 
-- L["Selected Sound Pack:"] = ""
--Translation missing 
-- L["Settings have been reset!"] = ""
--Translation missing 
-- L["Sound disabled for this session!"] = ""
--Translation missing 
-- L["Sound enabled."] = ""
--Translation missing 
-- L["Sound on Buff"] = ""
--Translation missing 
-- L["Sound on Debuff"] = ""
--Translation missing 
-- L["Sound on Direct Damage"] = ""
--Translation missing 
-- L["Sound on XP, Honor or Rep. Gain"] = ""
--Translation missing 
-- L["Sound when at Max Combo Points or Rage"] = ""
--Translation missing 
-- L["Sound when Boss Reaches Low Health"] = ""
--Translation missing 
-- L["Sound while Damage Immunity Buffed"] = ""
L["Sounds"] = "Sonidos"
--Translation missing 
-- L["Swimming Sound"] = ""

elseif GetLocale() == "ruRU" then -- Russian
L["All Sounds and Music  ( changes only saved per session )"] = "Включить Звуки, и Музыку  ( работает только в данной сессии )"
L["Checking for Boss or Party  ( changes only saved per session )"] = "Проверять на Боссов и Группы  ( работает только в данной сессии )"
--Translation missing 
-- L["Checks disabled for this session!"] = ""
--Translation missing 
-- L["Checks enabled."] = ""
L["Jumping Sound"] = "\"Прыгающий\" Звук"
L["Music"] = "Музыка"
--Translation missing 
-- L["Options"] = ""
--Translation missing 
-- L["Selected Sound Pack:"] = ""
--Translation missing 
-- L["Settings have been reset!"] = ""
--Translation missing 
-- L["Sound disabled for this session!"] = ""
--Translation missing 
-- L["Sound enabled."] = ""
--Translation missing 
-- L["Sound on Buff"] = ""
--Translation missing 
-- L["Sound on Debuff"] = ""
L["Sound on Direct Damage"] = "Звук при Нанесении Урона"
--Translation missing 
-- L["Sound on XP, Honor or Rep. Gain"] = ""
--Translation missing 
-- L["Sound when at Max Combo Points or Rage"] = ""
--Translation missing 
-- L["Sound when Boss Reaches Low Health"] = ""
--Translation missing 
-- L["Sound while Damage Immunity Buffed"] = ""
L["Sounds"] = "Звуки"
L["Swimming Sound"] = "\"Плавающий\" Звук"

elseif GetLocale() == "zhCN" then -- Simplified Chinese
L["All Sounds and Music  ( changes only saved per session )"] = "所有音乐和音效"
L["Checking for Boss or Party  ( changes only saved per session )"] = "团队检查音效"
L["Checks disabled for this session!"] = "本次登录禁用检查！"
L["Checks enabled."] = "检查启用。"
L["Jumping Sound"] = "跳跃音效"
L["Music"] = "音乐"
L["Options"] = "选项"
L["Selected Sound Pack:"] = "选择音效包："
L["Settings have been reset!"] = "配置已被重置！"
L["Sound disabled for this session!"] = "本次登录禁用音效！"
L["Sound enabled."] = "启用音效。"
L["Sound on Buff"] = "获得增益时播放音效"
L["Sound on Debuff"] = "获得减益时播放音效"
L["Sound on Direct Damage"] = "直接伤害音效"
L["Sound on XP, Honor or Rep. Gain"] = "获得经验、荣誉或声望时播放音效"
L["Sound when at Max Combo Points or Rage"] = "连击点或怒气值最大时播放音效"
L["Sound when Boss Reaches Low Health"] = "Boss 低血量时播放音效"
L["Sound while Damage Immunity Buffed"] = "获得伤害免疫buff时播放音效"
L["Sounds"] = "音效"
L["Swimming Sound"] = "游泳音效"

elseif GetLocale() == "esES" then -- Spanish
L["All Sounds and Music  ( changes only saved per session )"] = "Todos los sonidos y música (cambios sólo guardados una vez por sesión)"
L["Checking for Boss or Party  ( changes only saved per session )"] = "Buscador de Boss o de Grupo"
--Translation missing 
-- L["Checks disabled for this session!"] = ""
--Translation missing 
-- L["Checks enabled."] = ""
L["Jumping Sound"] = "Sonido al saltar"
L["Music"] = "Música"
--Translation missing 
-- L["Options"] = ""
--Translation missing 
-- L["Selected Sound Pack:"] = ""
--Translation missing 
-- L["Settings have been reset!"] = ""
--Translation missing 
-- L["Sound disabled for this session!"] = ""
--Translation missing 
-- L["Sound enabled."] = ""
--Translation missing 
-- L["Sound on Buff"] = ""
--Translation missing 
-- L["Sound on Debuff"] = ""
L["Sound on Direct Damage"] = "Sonido al hacer daño directo"
--Translation missing 
-- L["Sound on XP, Honor or Rep. Gain"] = ""
--Translation missing 
-- L["Sound when at Max Combo Points or Rage"] = ""
--Translation missing 
-- L["Sound when Boss Reaches Low Health"] = ""
--Translation missing 
-- L["Sound while Damage Immunity Buffed"] = ""
L["Sounds"] = "Sonidos"
L["Swimming Sound"] = "Sonido al nadar"

elseif GetLocale() == "zhTW" then -- Traditional Chinese
L["All Sounds and Music  ( changes only saved per session )"] = "所有音效以及音樂"
L["Checking for Boss or Party  ( changes only saved per session )"] = "團隊或隊伍檢查音效"
--Translation missing 
-- L["Checks disabled for this session!"] = ""
--Translation missing 
-- L["Checks enabled."] = ""
L["Jumping Sound"] = "跳躍音效"
L["Music"] = "音樂"
L["Options"] = "選項"
L["Selected Sound Pack:"] = "選擇音效包"
L["Settings have been reset!"] = "設定已經重置"
L["Sound disabled for this session!"] = "關閉音效"
L["Sound enabled."] = "開啟音效"
L["Sound on Buff"] = "獲得增益的音效"
L["Sound on Debuff"] = "獲得減益的音效"
L["Sound on Direct Damage"] = "直接傷害音效"
L["Sound on XP, Honor or Rep. Gain"] = "獲得經驗,榮譽,聲望的音效"
L["Sound when at Max Combo Points or Rage"] = "怒氣或是連擊點數最大時的音效"
L["Sound when Boss Reaches Low Health"] = "王低血量時的音效"
L["Sound while Damage Immunity Buffed"] = "傷害免疫時的音效"
L["Sounds"] = "音效"
L["Swimming Sound"] = "游泳音效"

end
